"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EmptyBlockMobileView = exports.EmptyBlock = void 0;
require("core-js/modules/es.symbol.description.js");
var _react = _interopRequireDefault(require("react"));
require("./EmptyBlock.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const EmptyBlock = _ref => {
  let {
    title,
    description,
    desktop,
    mobile,
    svgLeft = true,
    children
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "empty-block-container"
  }, svgLeft ? /*#__PURE__*/_react.default.createElement(DesktopImg, {
    desktop: desktop
  }) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null), /*#__PURE__*/_react.default.createElement("div", {
    className: "empty-block-desc"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "empty-block-title empty-block-desktop"
  }, /*#__PURE__*/_react.default.createElement("h2", null, title)), /*#__PURE__*/_react.default.createElement("div", {
    className: "empty-block-title empty-block-mobile"
  }, /*#__PURE__*/_react.default.createElement("h3", null, title)), /*#__PURE__*/_react.default.createElement("div", {
    className: "empty-block-subtitle"
  }, description), children), !svgLeft ? /*#__PURE__*/_react.default.createElement(DesktopImg, {
    desktop: desktop
  }) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null), /*#__PURE__*/_react.default.createElement(MobileImg, {
    mobile: mobile
  }));
};
exports.EmptyBlock = EmptyBlock;
const DesktopImg = _ref2 => {
  let {
    desktop
  } = _ref2;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "empty-block-img empty-block-desktop"
  }, desktop);
};
const MobileImg = _ref3 => {
  let {
    mobile
  } = _ref3;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "empty-block-img empty-block-mobile"
  }, mobile);
};
const EmptyBlockMobileView = _ref4 => {
  let {
    mobile,
    title,
    description,
    children
  } = _ref4;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "empty-block-container-mobile-view"
  }, /*#__PURE__*/_react.default.createElement(MobileImg, {
    mobile: mobile
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "empty-block-title-mobile-view"
  }, /*#__PURE__*/_react.default.createElement("h3", null, title)), /*#__PURE__*/_react.default.createElement("div", {
    className: "empty-block-subtitle-mobile-view"
  }, description), children);
};
exports.EmptyBlockMobileView = EmptyBlockMobileView;